package cn.com.tenlion.configcontent.pojo.vos.contentcollect;

import ink.wgink.annotation.CheckEmptyAnnotation;
import ink.wgink.annotation.CheckNumberAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: ContentCollectVO
 * @Description: 
 * @Author: CodeFactory
 * @Date: 2021-08-02 09:15:31
 * @Version: 3.0
 **/
@ApiModel
public class ContentCollectVO {

    @ApiModelProperty(name = "businessId", value = "业务ID")
    @CheckEmptyAnnotation(name = "业务ID")
    private String businessId;
    @ApiModelProperty(name = "contentCollectUserName", value = "收藏人姓名")
    private String contentCollectUserName;
    @ApiModelProperty(name = "contentCollectUserIcon", value = "收藏人头像")
    private String contentCollectUserIcon;
    @ApiModelProperty(name = "contentCollectTag", value = "收藏备注")
    private String contentCollectTag;

    public String getBusinessId() {
        return businessId == null ? "" : businessId.trim();
    }

    public void setBusinessId(String businessId) {
        this.businessId = businessId;
    }

    public String getContentCollectUserName() {
        return contentCollectUserName == null ? "" : contentCollectUserName.trim();
    }

    public void setContentCollectUserName(String contentCollectUserName) {
        this.contentCollectUserName = contentCollectUserName;
    }

    public String getContentCollectUserIcon() {
        return contentCollectUserIcon == null ? "" : contentCollectUserIcon.trim();
    }

    public void setContentCollectUserIcon(String contentCollectUserIcon) {
        this.contentCollectUserIcon = contentCollectUserIcon;
    }

    public String getContentCollectTag() {
        return contentCollectTag == null ? "" : contentCollectTag.trim();
    }

    public void setContentCollectTag(String contentCollectTag) {
        this.contentCollectTag = contentCollectTag;
    }


}
